"use strict";
exports.__esModule = true;
var __1 = require("..");
var errors_1 = require("./errors");
var createRequires = function (dependencies) {
    var _dependencies = dependencies || {};
    _dependencies["@microflows/nodevm"] = {
        __esModule: true,
        newVM: __1.newVM,
        "default": __1["default"]
    };
    return function (name) {
        if (name in _dependencies)
            return _dependencies[name];
        // in node env
        if (require !== undefined)
            return require(name);
        // in broswer env
        throw new errors_1.DependencyError("Could not require '" + name + "'. '" + name + "' does not exist in dependencies.");
    };
};
exports["default"] = createRequires;
//# sourceMappingURL=createRequires.js.map